### Signal

# Gtk Assistant::prepare

deprecated: 4.10

#### Declaration

    void
    prepare (
      GtkAssistant* self,
      GtkWidget* page,
      gpointer user_data
    )

#### Description [src]

Emitted when a new page is set as the assistant’s current page, before making the new page visible.

A handler for this signal can do any preparations which are necessary before showing `page`.

Default handler: The default handler is called after the handlers added via `g_signal_connect()`.
Deprecated since: 4.10
This widget will be removed in GTK 5

#### Parameters

`page`

  Type: `GtkWidget`

  The current page.

  The data is owned by the caller of the function.